Summary: Utility for identifying duplicates in a given set of files
Name: duff
Version: 0.5.2
Release: 1
License: GPL
Group: File tools
URL: http://duff.sourceforge.net/ 
Source0: http://dl.sf.net/%{name}/%{name}-%{version}.tar.bz2
Patch0: %{name}-%{version}-aix.patch
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: gettext
Requires: gettext

%description
Duff is a command-line utility for identifying duplicates in a given set of
files.  It attempts to be usably fast, and uses SHA1 checksums as a part of
the comparisons.


%prep
%setup -q
%patch0


%build
./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir}

make %{?_smp_mflags}

 
%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system)
%doc AUTHORS COPYING ChangeLog INSTALL README README.SHA
%{_bindir}/*
%{_mandir}/man?/*
%{_datadir}/%{name}
%{_datadir}/locale/*/*/*
/usr/bin/*


%changelog
* Tue Jan 08 2013 Michael Perzl <michael@perzl.org> - 0.5.2-1
- updated to version 0.5.2

* Wed Apr 13 2011 Michael Perzl <michael@perzl.org> - 0.5-1
- first version for AIX V5.1 and higher
